Package htsjdk.tribble

# Interface CloseableTribbleIterator<T extends Feature>

Type Parameters:
  `T` - the feature type

All Superinterfaces:
  `AutoCloseable`, `Closeable`, `CloseableIterator<T>`, `Iterable<T>`, `Iterator<T>`

public interface CloseableTribbleIterator<T extends Feature> extends CloseableIterator<T>, Iterable<T>
The basic iterator we use in Tribble, which allows closing and basic iteration.

## Method Summary

### Methods inherited from interface htsjdk.samtools.util.CloseableIterator

`close, stream, toList`

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`